---
updatedAt: 2026-04-23T11:54:50.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Get business day

Searches for business day information for a specific date within a holiday calendar.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Platform setup - Holidays",
    "description": "Manage business and non-business days by organization",
    "version": "v1.0",
    "contact": {
      "name": "Pismo Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/holidays-core",
      "description": "API sandbox server for testing"
    }
  ],
  "security": [
    {
      "S2SAuthentication": []
    }
  ],
  "tags": [
    {
      "name": "Holiday calendar data"
    }
  ],
  "components": {
    "parameters": {
      "HolidayCalendarIdPath2": {
        "name": "holiday_calendar_id",
        "in": "path",
        "description": "Holiday calendar ID",
        "required": true,
        "schema": {
          "type": "string",
          "example": "8675309"
        }
      }
    },
    "schemas": {
      "CurrentDate": {
        "type": "string",
        "format": "date",
        "description": "Current date. Format = yyyy-mm-dd.",
        "example": "2023-01-02"
      },
      "handler.HTTPError": {
        "description": "Error",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "HolidayCalendarID": {
        "type": "integer",
        "description": "Holiday calendar ID",
        "example": 8675309
      },
      "HolidayDescription": {
        "type": "string",
        "description": "Holiday description",
        "maxLength": 500,
        "example": "Day to party like it's 1999"
      },
      "HolidayName": {
        "type": "string",
        "description": "Holiday name",
        "example": "New Year's Day",
        "maxLength": 80,
        "minLength": 1
      },
      "IsHoliday": {
        "type": "boolean",
        "description": "Is this a holiday?",
        "example": true
      },
      "IsWeekend": {
        "type": "boolean",
        "description": "Is this a weekend day?",
        "example": true
      },
      "Metadata": {
        "type": "object",
        "description": "A valid JSON schema as specified in https://json-schema.org/specification.html. Used to register rules used to authorize the transaction.\n\n**Note**: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to [Get started with Pismo APIs](https://developers.pismo.io/pismo-docs/reference/get-started-with-pismo-apis#metadata).\n"
      },
      "NextBusinessDate": {
        "type": "string",
        "format": "date",
        "description": "Next work day following the holiday. Format = yyyy-mm-dd.",
        "example": "2023-01-02"
      },
      "presenter.HolidayCalendarSearchBusinessDayRequest": {
        "type": "object",
        "required": [
          "current_date"
        ],
        "properties": {
          "current_date": {
            "$ref": "#/components/schemas/CurrentDate"
          }
        }
      },
      "presenter.HolidayCalendarSearchBusinessDayResponse": {
        "type": "object",
        "properties": {
          "current_date": {
            "$ref": "#/components/schemas/CurrentDate"
          },
          "description": {
            "$ref": "#/components/schemas/HolidayDescription"
          },
          "holiday_calendar_id": {
            "$ref": "#/components/schemas/HolidayCalendarID"
          },
          "holiday_calendar_metadata": {
            "$ref": "#/components/schemas/Metadata"
          },
          "holiday_metadata": {
            "$ref": "#/components/schemas/Metadata"
          },
          "is_holiday": {
            "$ref": "#/components/schemas/IsHoliday"
          },
          "is_weekend": {
            "$ref": "#/components/schemas/IsWeekend"
          },
          "name": {
            "$ref": "#/components/schemas/HolidayName"
          },
          "next_business_date": {
            "$ref": "#/components/schemas/NextBusinessDate"
          },
          "prior_business_date": {
            "$ref": "#/components/schemas/PriorBusinessDate"
          }
        }
      },
      "PriorBusinessDate": {
        "type": "string",
        "format": "date",
        "description": "Business day prior to holiday. Format = yyyy-mm-dd.",
        "example": "2023-01-02"
      }
    },
    "responses": {
      "400BadRequestGetBusinessDay": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/handler.HTTPError"
            },
            "examples": {
              "missing-x-tenant-header": {
                "$ref": "#/components/examples/BadRequestResponseMissingHeader"
              },
              "missing-invalid-holiday-calendar-id": {
                "$ref": "#/components/examples/BadRequestResponseMissingRequiredFields"
              },
              "invalid-date-format": {
                "$ref": "#/components/examples/BadRequestResponseHolidayWrongFormat"
              },
              "missing-current-date": {
                "$ref": "#/components/examples/BadRequestResponseMissingRequiredFields"
              }
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/handler.HTTPError"
            },
            "examples": {
              "response-missing-tenant": {
                "$ref": "#/components/examples/NotFoundResponse"
              }
            }
          }
        }
      },
      "500InternalServerError": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/handler.HTTPError"
            },
            "examples": {
              "generic-internal-error": {
                "$ref": "#/components/examples/InternalServerErrorResponse"
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "S2SAuthentication": {
        "type": "http",
        "scheme": "bearer",
        "description": "All requests must pass an [account-specific token](https://developers.pismo.io/pismo-docs/docs/account-specific-access-tokens).\n"
      }
    },
    "examples": {
      "InternalServerErrorResponse": {
        "value": {
          "code": "EHLD0001",
          "message": "Something went wrong - please try again"
        }
      },
      "BadRequestResponseMissingHeader": {
        "value": {
          "code": "EHLD0016",
          "message": "Missing x-tenant header"
        }
      },
      "BadRequestResponseHolidayWrongFormat": {
        "value": {
          "code": "EHLD0028",
          "message": "Holiday date with the wrong format"
        }
      },
      "BadRequestResponseMissingRequiredFields": {
        "value": {
          "code": "EHLD0050",
          "message": "Missing required fields"
        }
      },
      "NotFoundResponse": {
        "value": {
          "code": "404",
          "message": "{target name} not found"
        }
      }
    }
  },
  "paths": {
    "/v1/holiday-calendar/{holiday_calendar_id}/business-day": {
      "post": {
        "summary": "Get business day",
        "description": "Searches for business day information for a specific date within a holiday calendar.\n",
        "operationId": "post-search-business-day",
        "tags": [
          "Holiday calendar data"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/HolidayCalendarIdPath2"
          }
        ],
        "requestBody": {
          "description": "Business day search request body",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/presenter.HolidayCalendarSearchBusinessDayRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/presenter.HolidayCalendarSearchBusinessDayResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequestGetBusinessDay"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServerError"
          }
        }
      }
    }
  }
}
```